csr_concat< T, M >

## Public Types

typedef csr_concat_value< T, M >::size_type | size_type
typedef csr_concat_value< T, M >::sizes_type | sizes_type
typedef csr_concat_value< T, M >::sizes_pair_type | sizes_pair_type
typedef csr_concat_line< T, M > | line_type
typedef csr_concat_value< T, M > | value_type

## Public Member Functions

| csr_concat ()
| csr_concat (const std::initializer_list< line_type > &il)
void | push_back (const line_type &line)
csr< T, M > | build_csr () const

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Protected Attributes

std::list< line_type > | _l

## Detailed Description

### template<class T, class M>
class rheolef::details::csr_concat< T, M >

Definition at line 175 of file csr_concat.h.

## Member Typedef Documentation

## size_type

typedef csr_concat_value<T,M>::size_type size_type

Definition at line 180 of file csr_concat.h.

## sizes_type

typedef csr_concat_value<T,M>::sizes_type sizes_type

Definition at line 181 of file csr_concat.h.

## sizes_pair_type

typedef csr_concat_value<T,M>::sizes_pair_type sizes_pair_type

Definition at line 182 of file csr_concat.h.

## line_type

typedef csr_concat_line<T,M> line_type

Definition at line 187 of file csr_concat.h.

## value_type

typedef csr_concat_value<T,M> value_type

Definition at line 188 of file csr_concat.h.

## Constructor & Destructor Documentation

## csr_concat() [1/2]

csr_concat | ( |  | ) |

Definition at line 192 of file csr_concat.h.

## csr_concat() [2/2]

csr_concat | ( | const std::initializer_list< line_type > & | il | ) |

Definition at line 194 of file csr_concat.h.

## Member Function Documentation

## push_back()

void push_back | ( | const line_type & | line | ) |

Definition at line 200 of file csr_concat.h.

## build_csr()

csr< T, M > build_csr

Definition at line 378 of file csr_concat.cc.

## Member Data Documentation

## undef

constexpr size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 184 of file csr_concat.h.

## zero

constexpr size_type zero = 0

static constexpr

Definition at line 185 of file csr_concat.h.

## _l

std::list<line_type> _l

protected

Definition at line 207 of file csr_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/csr_concat.h
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/csr_concat.cc